from django import forms
from .models import Book, Video, Keller

class KellerModelForm(forms.ModelForm):
	class Meta:
		model = Keller
		fields =('name','menge','einheit','kiste','nr','info')
		
class BookForm(forms.ModelForm):
	title	= forms.CharField(label='ok')
	pdf = forms.FileField(widget= forms.ClearableFileInput(
				attrs={"class":"form-control-file"}
				))
	class Meta:
		model = Book
		fields = ('title','author','pdf')

		

class VideoForm(forms.ModelForm):
	title	= forms.CharField(label='ok')
	media = forms.FileField(widget= forms.ClearableFileInput(
				attrs={"class":"form-control-file"}
				))
	class Meta:
		model = Video
		fields = ('title','tags','media')
